/*
 * @Author: WuXiangNan
 * @Date: 2021-03-05 09:03:43
 * @LastEditTime: 2021-03-05 09:34:17
 * @LastEditors: WuXiangNan
 * @Description: 
 */

import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';

class CarListItem extends StatefulWidget {
  CarListItem({Key? key}) : super(key: key);

  @override
  _CarListItemState createState() => _CarListItemState();
}

class _CarListItemState extends State<CarListItem> {
  @override
  Widget build(BuildContext context) {
    return WisCard(
      color: Colors.white,
      margin: EdgeInsets.fromLTRB(0, 0, 0, 10.pt),
      elevation: 0,
      shape: BeveledRectangleBorder(),
      padding: EdgeInsets.all(15.pt),
      child: Wisdom.column(
        children: [
          Wisdom.row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            margin: EdgeInsets.only(bottom: 5.pt),
            children: [
              Wisdom.row(
                children: [
                  WTag(
                    child: Text('超时越界'),
                    color: Color(0XFFFF495E),
                  ),
                  SizedBox(
                    width: 10.pt,
                  ),
                  WisText(
                    '蓝岛巡逻车',
                    bold: true,
                    size: 15.pt,
                  ),
                ],
              ),
              Wisdom(
                  margin: EdgeInsets.only(right: 5.pt),
                  child: WisText(
                    '静止',
                    color: Color(0XFF0F67F8),
                    size: 14.pt,
                  )),
            ],
          ),
          Wisdom(
            child: WisText(
              '最后位置更新：海口市美兰区和平大道35号蓝岛康城温泉花园',
              color: Colors.grey,
              size: 15.pt,
            ),
          ),
        ],
      ),
    );
  }
}
